Package uk.ac.starlink.votable.soap

## Class AxisTableSerializerFactory

- java.lang.Object
- - uk.ac.starlink.votable.soap.AxisTableSerializerFactory

All Implemented Interfaces:
  `java.io.Serializable`, `javax.xml.rpc.encoding.SerializerFactory`, `org.apache.axis.encoding.SerializerFactory`

    public class AxisTableSerializerFactory
    extends java.lang.Object
    implements org.apache.axis.encoding.SerializerFactory

Custom serializer factory for streaming StarTables using AXIS.

Since:
  23 Mar 2005
Author:
  Mark Taylor (Starlink)
See Also:
  Serialized Form

### Constructor Summary

Constructors
`AxisTableSerializerFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.rpc.encoding.Serializer` `getSerializerAs​(java.lang.String mechanismType)`
`java.util.Iterator<java.lang.String>` `getSupportedMechanismTypes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AxisTableSerializerFactory

    public AxisTableSerializerFactory()

### Method Detail

#### getSerializerAs

    public javax.xml.rpc.encoding.Serializer getSerializerAs​(java.lang.String mechanismType)

Specified by:
  `getSerializerAs` in interface `javax.xml.rpc.encoding.SerializerFactory`

#### getSupportedMechanismTypes

    public java.util.Iterator<java.lang.String> getSupportedMechanismTypes()

Specified by:
  `getSupportedMechanismTypes` in interface `javax.xml.rpc.encoding.SerializerFactory`